cURL
curl --request GET \ --url https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/{instance_id}/available_flavors \ --header 'Authorization: <api-key>'
{ "count": 1, "results": [ { "architecture": "x86_64", "disabled": false, "flavor_id": "g2-standard-32-64", "flavor_name": "g2-standard-32-64", "os_type": "linux", "ram": 2048, "vcpus": 1, "capacity": 1, "currency_code": "USD", "hardware_description": {}, "price_per_hour": 1, "price_per_month": 720, "price_status": "show", "reserved_capacity": 5 } ] }
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef
apikey
apikey 1234$abcdef
Project ID
Region ID
Instance ID
Set to true if flavor listing should include flavor prices
List of available flavors
Number of objects
x >= 0
1
Objects
Show child attributes
Was this page helpful?